List Dexes
Returns the list of decentralized exchanges (DEXes) indexed on supported EVM-compatible chains. Each entry identifies a DEX by its factory/router address, human-readable name, and the pool algorithm it implements (e.g. Uniswap V3-style concentrated liquidity or Uniswap V2-style constant product).
GET
https://api.cambrian.org/evm/dexes
Parameters
chain_id (integer)
EVM chain ID.
Responses
Code
Description
200
Successful response
Media type: application/vnd.cambrian.table.v1.0.0+json
[
{
"columns": [
{
"name": "chainId",
"type": "UInt16"
},
{
"name": "address",
"type": "FixedString(42)"
},
{
"name": "name",
"type": "String"
},
{
"name": "algorithm",
"type": "LowCardinality(FixedString(10))"
}
],
"data": [
[
8453,
"0x7b72c4002ea7c276dd717b96b20f4956c5c904e7",
"9mm",
"unina"
],
[
8453,
"0x420dd381b31aef6683db6b902084cb0ffece40da",
"Aerodrome",
"aero"
],
[
8453,
"0x5e7bb104d84c7cb9b682aac2f3d509f5f406809a",
"Aerodrome ICL",
"univ3"
],
[
8453,
"0x9592cd9b267748cbfbde90ac9f7df3c437a6d51b",
"Aerodrome ICL",
"univ3"
],
[
8453,
"0xade65c38cd4849adba595a4323a8c7ddfe89716a",
"Aerodrome ICL",
"univ3"
],
[
8453,
"0xf8f2eb4940cfe7d13603dddd87f123820fc061ef",
"Aerodrome ICL",
"univ3"
],
[
8453,
"0x0fd83557b2be93617c9c1c1b6fd549401c74558c",
"AlienBase",
"univ3"
],
[
8453,
"0xfaa5f5f4a3c6ed4446f7b6014322c954d218690c",
"Bagelswap",
"unina"
],
[
8453,
"0x38015d05f4fec8afe15d7cc0386a126574e8077b",
"BaseSwap",
"unina"
],
[
8453,
"0xdc323d16c451819890805737997f4ede96b95e3e",
"Basex",
"unina"
]
],
"rows": 40
}
]
400
Bad Request: Invalid request parameters or malformed request.
401
Unauthorized: Missing or invalid API key. Include X-API-Key header with your request.
403
Forbidden: Invalid API key or insufficient permissions to access this resource.
404
Not Found: Endpoint or resource does not exist.
408
Request Timeout: Request took too long to process. Try again.
500
Internal Server Error: An unexpected error occurred while processing your request.
503
Service Unavailable: The server is temporarily unable to handle the request. Please try again later.
Examples
1. List DEXes on Base
Retrieves all DEXes indexed for the default chain (Base, `chain_id=8453`).
curl
curl -X GET "https://api.cambrian.org/evm/dexes?" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"
Response:
JSON
1[
2 {
3 "columns": [
4 {
5 "name": "chainId",
6 "type": "UInt16"
7 },
8 {
9 "name": "address",
10 "type": "FixedString(42)"
11 },
12 {
13 "name": "name",
14 "type": "String"
15 },
16 {
17 "name": "algorithm",
18 "type": "LowCardinality(FixedString(10))"
19 }
20 ],
21 "data": [
22 [
23 8453,
24 "0x7b72c4002ea7c276dd717b96b20f4956c5c904e7",
25 "9mm",
26 "unina"
27 ],
28 [
29 8453,
30 "0x420dd381b31aef6683db6b902084cb0ffece40da",
31 "Aerodrome",
32 "aero"
33 ],
34 [
35 8453,
36 "0x5e7bb104d84c7cb9b682aac2f3d509f5f406809a",
37 "Aerodrome ICL",
38 "univ3"
39 ],
40 [
41 8453,
42 "0x9592cd9b267748cbfbde90ac9f7df3c437a6d51b",
43 "Aerodrome ICL",
44 "univ3"
45 ],
46 [
47 8453,
48 "0xade65c38cd4849adba595a4323a8c7ddfe89716a",
49 "Aerodrome ICL",
50 "univ3"
51 ],
52 [
53 8453,
54 "0xf8f2eb4940cfe7d13603dddd87f123820fc061ef",
55 "Aerodrome ICL",
56 "univ3"
57 ],
58 [
59 8453,
60 "0x0fd83557b2be93617c9c1c1b6fd549401c74558c",
61 "AlienBase",
62 "univ3"
63 ],
64 [
65 8453,
66 "0xfaa5f5f4a3c6ed4446f7b6014322c954d218690c",
67 "Bagelswap",
68 "unina"
69 ],
70 [
71 8453,
72 "0x38015d05f4fec8afe15d7cc0386a126574e8077b",
73 "BaseSwap",
74 "unina"
75 ],
76 [
77 8453,
78 "0xdc323d16c451819890805737997f4ede96b95e3e",
79 "Basex",
80 "unina"
81 ]
82 ],
83 "rows": 40
84 }
85]
2 {
3 "columns": [
4 {
5 "name": "chainId",
6 "type": "UInt16"
7 },
8 {
9 "name": "address",
10 "type": "FixedString(42)"
11 },
12 {
13 "name": "name",
14 "type": "String"
15 },
16 {
17 "name": "algorithm",
18 "type": "LowCardinality(FixedString(10))"
19 }
20 ],
21 "data": [
22 [
23 8453,
24 "0x7b72c4002ea7c276dd717b96b20f4956c5c904e7",
25 "9mm",
26 "unina"
27 ],
28 [
29 8453,
30 "0x420dd381b31aef6683db6b902084cb0ffece40da",
31 "Aerodrome",
32 "aero"
33 ],
34 [
35 8453,
36 "0x5e7bb104d84c7cb9b682aac2f3d509f5f406809a",
37 "Aerodrome ICL",
38 "univ3"
39 ],
40 [
41 8453,
42 "0x9592cd9b267748cbfbde90ac9f7df3c437a6d51b",
43 "Aerodrome ICL",
44 "univ3"
45 ],
46 [
47 8453,
48 "0xade65c38cd4849adba595a4323a8c7ddfe89716a",
49 "Aerodrome ICL",
50 "univ3"
51 ],
52 [
53 8453,
54 "0xf8f2eb4940cfe7d13603dddd87f123820fc061ef",
55 "Aerodrome ICL",
56 "univ3"
57 ],
58 [
59 8453,
60 "0x0fd83557b2be93617c9c1c1b6fd549401c74558c",
61 "AlienBase",
62 "univ3"
63 ],
64 [
65 8453,
66 "0xfaa5f5f4a3c6ed4446f7b6014322c954d218690c",
67 "Bagelswap",
68 "unina"
69 ],
70 [
71 8453,
72 "0x38015d05f4fec8afe15d7cc0386a126574e8077b",
73 "BaseSwap",
74 "unina"
75 ],
76 [
77 8453,
78 "0xdc323d16c451819890805737997f4ede96b95e3e",
79 "Basex",
80 "unina"
81 ]
82 ],
83 "rows": 40
84 }
85]
x402 Payment Option
This endpoint supports pay-per-use access via the x402 payment protocol (v2): pay $0.05 USDC per request using blockchain micropayments. No API key required.
Quickstart (Typescript)
bash
npm install @x402/fetch @x402/evm viem
TypeScript
1import { x402Client } from "@x402/core/client";
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/dexes"
11);
12const data = await response.json();
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/dexes"
11);
12const data = await response.json();
Quickstart (Python)
bash
pip install "x402[httpx]"
Python
1import asyncio, os
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/dexes")
13 print(response.json())
14asyncio.run(main())
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/dexes")
13 print(response.json())
14asyncio.run(main())
Payment Flow
- Send a normal request to the endpoint (no API key needed)
- Server returns 402 Payment Required with payment details
- The x402 SDK automatically signs a payment authorization with your wallet
- The SDK resubmits the request with the signed payment
- Server verifies payment and returns the API response
The x402 SDK handles steps 2 through 5 automatically.
Network: Base (chain ID 8453) | Currency: USDC | Price: $0.05 per request